incubator-connectors-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kwri...@apache.org
Subject svn commit: r1030287 - in /incubator/lcf/trunk/modules/connectors/filenet: ./ registry-scripts/ server-scripts/
Date Tue, 02 Nov 2010 23:35:02 GMT
Author: kwright
Date: Tue Nov  2 23:35:01 2010
New Revision: 1030287

URL: http://svn.apache.org/viewvc?rev=1030287&view=rev
Log:
Add filenet process scripts. 

Added:
    incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/
    incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.bat   (with props)
    incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.sh   (with props)
    incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/setclasspath.bat   (with
props)
    incubator/lcf/trunk/modules/connectors/filenet/server-scripts/
    incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.bat   (with props)
    incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.sh   (with props)
    incubator/lcf/trunk/modules/connectors/filenet/server-scripts/setclasspath.bat   (with
props)
Modified:
    incubator/lcf/trunk/modules/connectors/filenet/build.xml

Modified: incubator/lcf/trunk/modules/connectors/filenet/build.xml
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/filenet/build.xml?rev=1030287&r1=1030286&r2=1030287&view=diff
==============================================================================
--- incubator/lcf/trunk/modules/connectors/filenet/build.xml (original)
+++ incubator/lcf/trunk/modules/connectors/filenet/build.xml Tue Nov  2 23:35:01 2010
@@ -159,6 +159,7 @@
 
     <target name="server-process" depends="jar-interface,jar-implementation,jar-rmiskel,jar-server,precompile-check"
if="canBuild">
         <mkdir dir="dist/server-process/jar"/>
+        <mkdir dir="dist/server-process/script"/>
         <copy todir="dist/server-process/jar">
             <fileset dir="filenet-api" includes="*.jar"/>
         </copy>
@@ -169,11 +170,24 @@
                 <include name="mcf-filenet-implementation.jar"/>
             </fileset>
         </copy>
+        <copy todir="dist/server-process/script">
+            <fileset dir="server-scripts">
+                <include name="*.sh"/>
+                <include name="*.bat"/>
+            </fileset>
+        </copy>
     </target>
 
     <target name="registry-process" depends="jar-registry,precompile-check" if="canBuild">
         <mkdir dir="dist/registry-process/jar"/>
+        <mkdir dir="dist/registry-process/script"/>
         <copy todir="dist/registry-process/jar" file="build/jar/mcf-filenet-registry.jar"/>
+        <copy todir="dist/registry-process/script">
+            <fileset dir="registry-scripts">
+                <include name="*.sh"/>
+                <include name="*.bat"/>
+            </fileset>
+        </copy>
     </target>
 
     <target name="all" depends="lib,server-process,registry-process,doc"/>

Added: incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.bat
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.bat?rev=1030287&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.bat (added)
+++ incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.bat Tue Nov  2 23:35:01
2010
@@ -0,0 +1,20 @@
+@echo off
+rem check that JAVA_HOME and MCF_HOME are set
+if not exist "%JAVA_HOME%\bin\java.exe" goto nojavahome
+if not exist "%MCF_HOME%\properties.xml" goto nolcfhome
+rem save existing path here
+set OLDDIR=%CD%
+cd "%MCF_HOME%\filenet-registry-process"
+set CLASSPATH=.
+for %%f in (jar/*) do call script\setclasspath.bat %%f
+rem restore old path here
+cd "%OLDDIR%"
+"%JAVA_HOME%\bin\java" -Xmx=32m -Xms=32m -classpath "%CLASSPATH%" org.apache.manifoldcf.crawler.registry.filenet.Filenet
+goto done
+:nojavahome
+echo Environment variable JAVA_HOME is not set properly.
+goto done
+:nolcfhome
+echo Environment variable MCF_HOME is not set properly.
+goto done
+:done

Propchange: incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.bat
------------------------------------------------------------------------------
    svn:eol-style = CRLF

Propchange: incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.bat
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.sh
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.sh?rev=1030287&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.sh (added)
+++ incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.sh Tue Nov  2 23:35:01
2010
@@ -0,0 +1,34 @@
+#!/bin/bash -e
+
+if [[ $OSTYPE == "cygwin" ]] ; then
+    PATHSEP=";"
+else
+    PATHSEP=":"
+fi
+
+#Make sure environment variables are properly set
+if [ -e "$JAVA_HOME"/bin/java ] ; then
+    if [ -f "$MCF_HOME"/properties.xml ] ; then
+    
+        # Build the classpath
+        CLASSPATH=""
+        for filename in $(ls -1 "$MCF_HOME"/filenet-registry-process/jar) ; do
+            if [ -n "$CLASSPATH" ] ; then
+                CLASSPATH="$CLASSPATH""$PATHSEP""$MCF_HOME"/filenet-registry-process/jar/"$filename"
+            else
+                CLASSPATH="$MCF_HOME"/filenet-registry-process/jar/"$filename"
+            fi
+        done
+        
+        "$JAVA_HOME/bin/java" -Xmx=32m -Xms=32m -cp "$CLASSPATH" org.apache.manifoldcf.crawler.registry.filenet.Filenet
+        exit $?
+        
+    else
+        echo "Environment variable MCF_HOME is not properly set." 1>&2
+        exit 1
+    fi
+    
+else
+    echo "Environment variable JAVA_HOME is not properly set." 1>&2
+    exit 1
+fi

Propchange: incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/run.sh
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/setclasspath.bat
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/setclasspath.bat?rev=1030287&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/setclasspath.bat (added)
+++ incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/setclasspath.bat Tue Nov
 2 23:35:01 2010
@@ -0,0 +1 @@
+set CLASSPATH=%CLASSPATH%;%MCF_HOME%\processes\jar\%1

Propchange: incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/setclasspath.bat
------------------------------------------------------------------------------
    svn:eol-style = CRLF

Propchange: incubator/lcf/trunk/modules/connectors/filenet/registry-scripts/setclasspath.bat
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.bat
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.bat?rev=1030287&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.bat (added)
+++ incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.bat Tue Nov  2 23:35:01
2010
@@ -0,0 +1,24 @@
+@echo off
+rem check that JAVA_HOME and MCF_HOME are set
+if not exist "%JAVA_HOME%\bin\java.exe" goto nojavahome
+if not exist "%MCF_HOME%\properties.xml" goto nolcfhome
+rem save existing path here
+set OLDDIR=%CD%
+cd "%MCF_HOME%\filenet-server-process"
+set CLASSPATH=.
+for %%f in (jar/*) do call script\setclasspath.bat %%f
+rem restore old path here
+cd "%OLDDIR%"
+set WASP_STATEMENT=""
+if defined WASP_HOME set WASP_STATEMENT="-Dwasp.location=%WASP_HOME%"
+set LIB_STATEMENT=""
+if defined JAVA_LIB_PATH set LIB_STATEMENT="-Djava.library.path=%JAVA_LIB_PATH%"
+"%JAVA_HOME%\bin\java" -Xmx=512m -Xms=32m "%WASP_STATEMENT%" "%LIB_STATEMENT%" -classpath
"%CLASSPATH%" org.apache.manifoldcf.crawler.server.filenet.Filenet
+goto done
+:nojavahome
+echo Environment variable JAVA_HOME is not set properly.
+goto done
+:nolcfhome
+echo Environment variable MCF_HOME is not set properly.
+goto done
+:done

Propchange: incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.bat
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.bat
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.sh
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.sh?rev=1030287&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.sh (added)
+++ incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.sh Tue Nov  2 23:35:01
2010
@@ -0,0 +1,40 @@
+#!/bin/bash -e
+
+if [[ $OSTYPE == "cygwin" ]] ; then
+    PATHSEP=";"
+else
+    PATHSEP=":"
+fi
+
+#Make sure environment variables are properly set
+if [ -e "$JAVA_HOME"/bin/java ] ; then
+    if [ -f "$MCF_HOME"/properties.xml ] ; then
+    
+        # Build the classpath
+        CLASSPATH=""
+        for filename in $(ls -1 "$MCF_HOME"/filenet-server-process/jar) ; do
+            if [ -n "$CLASSPATH" ] ; then
+                CLASSPATH="$CLASSPATH""$PATHSEP""$MCF_HOME"/filenet-server-process/jar/"$filename"
+            else
+                CLASSPATH="$MCF_HOME"/filenet-server-process/jar/"$filename"
+            fi
+        done
+        
+        WASP_STATEMENT=""
+        if [[ $WASP_HOME != "" ]] ; then
+            WASP_STATEMENT=-Dwasp.location="WASP_HOME"
+        LIB_STATEMENT=""
+        if [[ $JAVA_LIB_PATH != "" ]] ; then
+            LIB_STATEMENT=-Djava.library.path="$JAVA_LIB_PATH"
+        "$JAVA_HOME/bin/java" -Xmx=512m -Xms=32m $WASP_STATEMENT $LIB_STATEMENT -cp "$CLASSPATH"
org.apache.manifoldcf.crawler.server.filenet.Filenet
+        exit $?
+        
+    else
+        echo "Environment variable MCF_HOME is not properly set." 1>&2
+        exit 1
+    fi
+    
+else
+    echo "Environment variable JAVA_HOME is not properly set." 1>&2
+    exit 1
+fi

Propchange: incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/lcf/trunk/modules/connectors/filenet/server-scripts/run.sh
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/trunk/modules/connectors/filenet/server-scripts/setclasspath.bat
URL: http://svn.apache.org/viewvc/incubator/lcf/trunk/modules/connectors/filenet/server-scripts/setclasspath.bat?rev=1030287&view=auto
==============================================================================
--- incubator/lcf/trunk/modules/connectors/filenet/server-scripts/setclasspath.bat (added)
+++ incubator/lcf/trunk/modules/connectors/filenet/server-scripts/setclasspath.bat Tue Nov
 2 23:35:01 2010
@@ -0,0 +1 @@
+set CLASSPATH=%CLASSPATH%;%MCF_HOME%\processes\jar\%1

Propchange: incubator/lcf/trunk/modules/connectors/filenet/server-scripts/setclasspath.bat
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/lcf/trunk/modules/connectors/filenet/server-scripts/setclasspath.bat
------------------------------------------------------------------------------
    svn:keywords = Id



Mime
View raw message